.chat-container {
  display: flex;
  flex-direction: row;
  padding: 1rem;

  .chat-avatar-wrap {
    margin-right: 1rem;
    img {
      border-radius: 50%;
      object-fit: cover;
      width: 38px;
    }
  }

  .body-name-wrap {
    display: flex;
    flex-direction: column;
    width: 100%;

    .name-row {
      display: flex;
      flex-direction: row;
      justify-content: space-between;

      .name-date {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;

        .name {
          margin-right: 1rem;
          color: var(--purple);
          font-size: 14px;
        }

        .date-ago {
          font-size: 12px;
          color: var(--lilac);
        }
      }
    }
    .message-wrap {
      margin-top: 0.5rem;
      .message {
        margin: 0;

        color: var(--gray);
        font-size: 16px;
      }
    }
  }
  .reply-wrap {
    svg {
      width: 18px;
      fill: var(--lime);
    }
  }
}

.tinted {
  background: #fafafa;
}
